# Exports/Triggers

## TRIGGERS/EXPORTS Lua code examples for Client Side

```lua
TriggerEvent("sfpolice:tabletopen") -- open police tablet
```

```lua
TriggerEvent("nuifix") -- if the NUI breaks.
```

<pre class="language-lua"><code class="lang-lua"><strong>local result = exports["sfpolice"]:bodyCamStatus()
</strong><strong>return result -- true(BC is enable) or false(BC is disable)
</strong></code></pre>

<pre class="language-lua"><code class="lang-lua"><strong>local coords = vec4(0.0, 0.0, 0.0, 0.0) -- vec3(x, y, z) or vec4(x, y, z, w)
</strong><strong>local maxSeconds = false -- false or time in seconds f.g.: 
</strong><strong>exports["sfpolice"]:setFingerprint(coords, maxSeconds)
</strong></code></pre>

## EXPORTS Lua code examples for Server Side

```lua
local jobs = { "police", "ems" } -- what units should receive dispatch
local street = "XYZ" -- The street where the report was sent from or false
local code = "ROB" -- Report code
local gps = vector3(0.0, 0.0, 0.0) -- The location where the report was sent from
local description= "Shop robbery" -- example
local blipData = {
	sprite = 161,
	color = 43,
	scale = 0.8,
	label = '# Shop robbery',
	timeInSeconds = 60, -- how long the blip should be displayed on the map (in seconds)
} -- blipData can be false
local source = false -- source player or false - if you provide the source, the police officer will be able to respond to the report on dispatch
local limit = 10 -- number or nil - displays the limit of police officers for a given report
exports["sfpolice"]:sendDispatch(jobs, street, code, gps, description, blipData, source, limit)
```

In your radio script, add export so that the tablet shows data on which radio the officer is on

```lua
local source = source
local channel = 1 -- for e.g.
exports["sfpolice"]:setChannelRadio(source, channel)
```

Checking the number of officers who have the status 'available'

```lua
exports["sfpolice"]:getFreePolice()
```

To imprint player fingerprints on a surface you can use this function

<pre class="language-lua"><code class="lang-lua">local coords = vec4(0.0, 0.0, 0.0, 0.0) -- vec3(x, y, z) or vec4(x, y, z, w)
local maxSeconds = false -- false or time in seconds f.g.: 60
<strong>exports["sfpolice"]:setFingerprint(source, coords, maxSeconds)
</strong></code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scriptsfivem.com/resources/sfpolice/exports-triggers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
